import json


tree = {}
with open("/tmp/traced.json", "rt", encoding='ascii') as fh:
    for line in fh:
        record = json.loads(line)
        node = tree
        for item in record:
            quant, children = node.get(item, (0, {}))
            quant += 1
            node[item] = (quant, children)
            node = children


def show(node, depth):
    for item, (quant, children) in sorted(node.items()):
        print("    " * depth, item, quant)
        if children:
            show(children, depth + 1)

show(tree, 0)
